Exponential 5.x Kernel 7.5.40 Exponential New Stack (Symfony-based) Kernel — PHP Class Reference

Public Member Functions | Private Attributes | List of all members
eZ\Publish\Core\Persistence\Cache\NotificationHandler Class Reference

SPI cache for Notification Handler. More...

Inheritance diagram for eZ\Publish\Core\Persistence\Cache\NotificationHandler:

## Public Member Functions
| createNotification (CreateStruct $createStruct)
| {} More...
| updateNotification (APINotification $notification, UpdateStruct $updateStruct)
| {} More...
| delete (APINotification $notification)
| {} More...
| countPendingNotifications (int $ownerId)
| {} More...
| countNotifications (int $ownerId)
| {} More...
| getNotificationById (int $notificationId)
| {} More...
| loadUserNotifications (int $userId, int $offset, int $limit)
| {} More...
Public Member Functions inherited from eZ\Publish\Core\Persistence\Cache\AbstractHandler
| __construct (TagAwareAdapterInterface $cache, PersistenceHandler $persistenceHandler, PersistenceLogger $logger, CacheIdentifierGeneratorInterface $cacheIdentifierGenerator, CacheIdentifierSanitizer $cacheIdentifierSanitizer, LocationPathConverter $locationPathConverter)
| Setups current handler with everything needed. More...
Public Member Functions inherited from eZ\Publish\Core\Persistence\Cache\Handler
| __construct (PersistenceHandlerInterface $persistenceHandler, CacheSectionHandler $sectionHandler, CacheLocationHandler $locationHandler, CacheContentHandler $contentHandler, CacheContentLanguageHandler $contentLanguageHandler, CacheContentTypeHandler $contentTypeHandler, CacheUserHandler $userHandler, CacheTransactionHandler $transactionHandler, CacheTrashHandler $trashHandler, CacheUrlAliasHandler $urlAliasHandler, CacheObjectStateHandler $objectStateHandler, CacheUrlHandler $urlHandler, CacheBookmarkHandler $bookmarkHandler, CacheNotificationHandler $notificationHandler, CacheUserPreferenceHandler $userPreferenceHandler, CacheUrlWildcardHandler $urlWildcardHandler, PersistenceLogger $logger)
| contentHandler ()
| contentTypeHandler ()
| contentLanguageHandler ()
| locationHandler ()
| objectStateHandler ()
| userHandler ()
| sectionHandler ()
| trashHandler ()
| urlAliasHandler ()
| urlWildcardHandler ()
| transactionHandler ()
| urlHandler ()
| bookmarkHandler ()
| notificationHandler ()
| userPreferenceHandler ()
| beginTransaction ()
| {Begin transaction.Begins an transaction, make sure you'll call commit or rollback when done, otherwise work will be lost. Deprecated: Since 5.3 {@use transactionHandler()->beginTransaction()} } More...
| commit ()
  | {Commit transaction.Commit transaction, or throw exceptions if no transactions has been started. Exceptions
} More...
| rollback ()
  | {Rollback transaction.Rollback transaction, or throw exceptions if no transactions has been started. Exceptions
} More...

## Private Attributes
const | NOTIFICATION_IDENTIFIER = 'notification'
const | NOTIFICATION_COUNT_IDENTIFIER = 'notification_count'
const | NOTIFICATION_PENDING_COUNT_IDENTIFIER = 'notification_pending_count'

## Additional Inherited Members
Protected Member Functions inherited from eZ\Publish\Core\Persistence\Cache\AbstractHandler
| getMultipleCacheItems (array $ids, string $keyPrefix, callable $missingLoader, callable $loadedTagger, array $keySuffixes=[])
| Helper for getting multiple cache items in one call and do the id extraction for you. More...
Protected Attributes inherited from eZ\Publish\Core\Persistence\Cache\AbstractHandler
| $cache
| $persistenceHandler
| $logger
| $cacheIdentifierGenerator
| $cacheIdentifierSanitizer
| $locationPathConverter
Protected Attributes inherited from eZ\Publish\Core\Persistence\Cache\Handler
| $persistenceHandler
| $sectionHandler
| $contentHandler
| $contentLanguageHandler
| $contentTypeHandler
| $locationHandler
| $userHandler
| $trashHandler
| $urlAliasHandler
| $objectStateHandler
| $transactionHandler
| $urlHandler
| $bookmarkHandler
| $notificationHandler
| $userPreferenceHandler
| $logger

## Detailed Description

SPI cache for Notification Handler.

See also
  \eZ\Publish\SPI\Persistence\Notification\Handler

Definition at line 22 of file NotificationHandler.php.

## Member Function Documentation

## ◆ countNotifications()

eZ\Publish\Core\Persistence\Cache\NotificationHandler::countNotifications | ( | int | $ownerId | ) |

{}

Definition at line 109 of file NotificationHandler.php.

## ◆ countPendingNotifications()

eZ\Publish\Core\Persistence\Cache\NotificationHandler::countPendingNotifications | ( | int | $ownerId | ) |

{}

Definition at line 83 of file NotificationHandler.php.

## ◆ createNotification()

eZ\Publish\Core\Persistence\Cache\NotificationHandler::createNotification | ( | CreateStruct | $createStruct | ) |

{}

Definition at line 31 of file NotificationHandler.php.

## ◆ delete()

eZ\Publish\Core\Persistence\Cache\NotificationHandler::delete | ( | APINotification | $notification | ) |

{}

Definition at line 65 of file NotificationHandler.php.

## ◆ getNotificationById()

eZ\Publish\Core\Persistence\Cache\NotificationHandler::getNotificationById | ( | int | $notificationId | ) |

{}

Definition at line 135 of file NotificationHandler.php.

## ◆ loadUserNotifications()

eZ\Publish\Core\Persistence\Cache\NotificationHandler::loadUserNotifications | ( | int | $userId,
|  | int | $offset,
|  | int | $limit
| ) |  |

{}

Definition at line 161 of file NotificationHandler.php.

## ◆ updateNotification()

eZ\Publish\Core\Persistence\Cache\NotificationHandler::updateNotification | ( | APINotification | $notification,
|  | UpdateStruct | $updateStruct
| ) |  |

{}

Definition at line 48 of file NotificationHandler.php.

## Member Data Documentation

## ◆ NOTIFICATION_COUNT_IDENTIFIER

const eZ\Publish\Core\Persistence\Cache\NotificationHandler::NOTIFICATION_COUNT_IDENTIFIER = 'notification_count'
| private

Definition at line 25 of file NotificationHandler.php.

## ◆ NOTIFICATION_IDENTIFIER

const eZ\Publish\Core\Persistence\Cache\NotificationHandler::NOTIFICATION_IDENTIFIER = 'notification'
| private

Definition at line 24 of file NotificationHandler.php.

## ◆ NOTIFICATION_PENDING_COUNT_IDENTIFIER

const eZ\Publish\Core\Persistence\Cache\NotificationHandler::NOTIFICATION_PENDING_COUNT_IDENTIFIER = 'notification_pending_count'
| private

Definition at line 26 of file NotificationHandler.php.

The documentation for this class was generated from the following file:

- NotificationHandler.php

Copyright © 1998 – 2026 7x. All rights reserved. Licensed under the GNU GPLv2+.